I have a routine for replacing 4 of our blocks with 1 dynamic block. the routine works except i would like it to rotate the new block 180 degrees. This is not all my code as I have had some help from several sources. below is the code.
Code:
(defun c:RJBWD (/ ENT1 BL1 NWNM OLD ODNM) ;THIS PROGRAM REPLACES SELECTED J-box BLOCKS WITH THE PROPER BLOCK IN AN ELECTRICAL DRAWING
(initerr3)
(setq ENT1
(ssget "X"
(list
(cons 0 "INSERT")
(cons
2
"JBWD"
)
)
)
)
;(IF (= ENT1 NIL) (C:SPO))
(setq N (sslength ENT1))
(setq I 0)
(repeat N
(setq BL1 (entget (ssname ENT1 I))
NM (cdr (assoc 2 BL1))
)
(setq NWNM (cons 2 (strcat "Jbw")))
(setq OLD (assoc 2 BL1))
(entmod (subst NWNM OLD BL1))
(setq I (1+ I))
)
;(c:chvdq)
(command "attsync" "N" "Jbw")
(prin1)
(reset3)
)